%define module  Heimdal-Kadm5
%define name    perl-%{module}
%define version 0.06
%define release %mkrel 5

Name:		%{name}
Version:	%{version}
Release:	%{release}
Summary:	Convert numbers to strings with pretty formatting
License:	Artistic/GPL
Group:		Development/Perl
URL:		http://www.pdc.kth.se/heimdal/
Source:		ftp://ftp.su.se/pub/users/leifj/%{module}-%{version}.tar.gz
BuildRequires:	perl-devel
BuildRequires:	heimdal-devel krb5-devel
BuildRoot:	    %{_tmppath}/%{name}-%{version}

%description
Number::Format is a library for formatting numbers.  Functions are
provided for converting numbers to strings in a variety of ways, and to
convert strings that contain numbers back into numeric form.  The output
formats may include thousands separators - characters inserted between
each group of three characters counting right to left from the decimal
point.  The characters used for the decimal point and the thousands
separator come from the locale information or can be specified by the
user.

%prep
%setup -q -n %{module}-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor INC="-I%{_includedir}/heimdal"
%make

%install
rm -rf %{buildroot}
%makeinstall_std

%check
# doesn't work without a running KDC
#%{__make} test

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc Changes README
%{perl_vendorarch}/Heimdal
%{perl_vendorarch}/auto/Heimdal
%{_mandir}/*/*


%changelog
* Tue Jan 22 2008 Guillaume Rousse <guillomovitch@mandriva.org> 0.06-5mdv2008.1
+ Revision: 156901
- fix build

  + Thierry Vignaud <tvignaud@mandriva.com>
    - add BR on krb5-devel
    - rebuild
    - kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Thu Sep 06 2007 Guillaume Rousse <guillomovitch@mandriva.org> 0.06-2mdv2008.0
+ Revision: 81308
- rebuild

* Fri Jun 15 2007 Guillaume Rousse <guillomovitch@mandriva.org> 0.06-1mdv2008.0
+ Revision: 39960
- new version

* Wed May 02 2007 Guillaume Rousse <guillomovitch@mandriva.org> 0.04-1mdv2008.0
+ Revision: 20499
- Import perl-Heimdal-Kadm5



* Thu Apr 26 2007 Guillaume Rousse <guillomovitch@mandriva.org> 0.04-1mdv2008.0
- first mdv release
